Overview

Getting Started

MARKETPLACE

Widgets

Find Pros

Categories

Keywords

Requests

Leads

Messages

On-Demand Orders

Reviews

User Accounts

PRO INTEGRATIONS

Leads

Messages

Reviews

Pro Profiles

Business Phone Numbers

Manage Webhooks

Testing Your Pro Integration

Support

Changelog

Terms and Policies

Reviews

Fetch pro reviews to show ratings, review text, and social proof on your platform. This helps customers make more informed hiring decisions.

Overview

Reviews can be fetched on a per-Business level. The Reviews API supports the ability to fetch Reviews for Businesses - see below.

Get Reviews

In order to fetch Reviews, you must provide a list of business IDs and the sortBy option. You can sort reviews by most_relevant, highest_rated, lowest_rated, newest_first, and oldest_first.
GET /api/v4/reviews?businessIDs[]={{businessID1}}&businessIDs[]={{businessID2}}&sortBy=highest_rated HTTP/2
authorization: Bearer {{clientCredentials}}
{
"data": {
"{{businessID1}}": [
{
"reviewText": "The crew did an amazing job putting together my gazebo. Quickly too! Great communication from start to finish, and I'm so happy with their work. Definitely recommend!",
"rating": 5,
"createTime": "2023-04-02T01:43:49Z",
"reviewerName": "EB"
},
...
],
"{{businessID2}}": [
{
"reviewText": "He is one of the most caring and hard working person I have worked with. He strives for greatness and doesn’t settle for less. Definitely recommend him!!",
"rating": 5,
"createTime": "2021-01-04T21:25:07Z",
"reviewerName": "DH"
},
...
]
}
}

Last Updated: Apr 22nd, 2026